struct hostent *gethostbyname(const char *name)

## Method Description

Works as its standard equivalent, but with NetBIOS names.
If DNS lookup was specified for native mode at compile time, and there is a name conflict, NetBIOS name will be used first.
Samba uses its own resolution scheme, which is called by the library in Samba mode.

name is the NetBIOS name of the machine to seek in ASCIIZ.

On error, or if the host doesn't exist, 0 is returned. The error() function can be used.
Otherwise, the hostent structure is managed by the library, so you should not try to delete it.

## See also :

man gethostbyname

man smb.conf

Copyright © Nicolas Brodu, 1999 - 2000